> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Release Phone Number

> Release a phone number.

- For Netelip (purchased) numbers: Orders the release of the number which will take effect once the subscription cycle ends
- For custom (imported) numbers: Deletes it automatically

Note: Phones in RESERVED status (pending verification) cannot be released.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/phone/{id}
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/phone/{id}:
    delete:
      tags:
        - Phones
      summary: Release Phone Number
      description: >-
        Release a phone number.


        - For Netelip (purchased) numbers: Orders the release of the number
        which will take effect once the subscription cycle ends

        - For custom (imported) numbers: Deletes it automatically


        Note: Phones in RESERVED status (pending verification) cannot be
        released.
      operationId: release_phone_number_v1_phone__id__delete
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````